Get Organization Limits
get
/v1/orgs/{org_id}/limitsPart of Org Usage.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
org_idrequired | string | Org Id |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/orgs/{org_id}/limits" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
org_idrequired | string | |
max_graphsrequired | integer | |
current_usagerequired | object | |
warningsrequired | string[] | |
can_create_graphrequired | boolean |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |